JsDoc Reference - RestrictedIdentificationDomainParameterInfo

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class RestrictedIdentificationDomainParameterInfo

This class encodes and decodes RestrictedIdentificationDomainParameterInfo objects.

The class implements the following ASN.1 syntax:

    	RestrictedIdentificationDomainParameterInfo ::= SEQUENCE {
    		protocol OBJECT IDENTIFIER(id-CA-DH | id-CA-ECDH),
    		domainParameter AlgorithmIdentifier,
    }

Defined in: RestrictedIdentification.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| RestrictedIdentificationDomainParameterInfo(the) Create a RestrictedIdentificationDomainParameterInfo object

Method Summary
Method Attributes | Method Name and Description
--- | ---
| toTLV() Convert object to TLV structure

Class Detail
RestrictedIdentificationDomainParameterInfo(the)
Create a RestrictedIdentificationDomainParameterInfo object

Parameters:
{ASN1} the
  optional tlv structure to initialize the object

Method Detail
{ASN1} toTLV()
Convert object to TLV structure

Returns:
  the TLV structure

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)